/*
GUIBEGIN
WINDOW , 44, 105, 400, 212, CAPTION|SYSMENU|MINBOX|MAXBOX|THICK, , My Window
	FONT 8, 400, MS Shell Dlg
	MENU
DEND

MENU
	HEADING File
		ITEM Open
		ITEM Save
		ITEM Exit
	<
DEND
GUIEND
*/

/* An example of adding help support to a window. We have a CHM file (made
 * with Microsoft's HTML Help Workshop program. In this CHM file, we have
 * a separate page for each control and menu item for which we want to display
 * help. The page is named the same as the control/menu's associated REXX
 * variable, plus a .HTM extension. For example, our PUSH control has an
 * associated variable of "MyButton" so its help page is "MyButton.htm".
 * The File -> Open menu item has no associated variable, so its help page
 * is simply "FileOpen.htm".
 *
 * We'll name our help book the same as this REXX Script, with a .CHM extension.
 */

OPTIONS "C_CALL"
NUMERIC DIGITS 10
LIBRARY rexxgui
GuiErr = "SYNTAX"
GuiHeading = 1

/* We'll use the HTML control for help display. */
GuiWindowDefaults(, , , , "HTML")

GuiCreateWindow('NORMAL')

/* Open the Contents docking window */
CreateObject("HelpContents.rex", , , GuiWindow)

/* Create the Reference window, initially displaying a blank page */
CreateObject("HelpBox.rex", , , GuiWindow, "about:blank")

Again:
DO FOREVER
	GuiGetMsg()

	IF EXISTS('GuiObject') \== 0 THEN DO
		IF EXISTS('GuiSignal') == 0 THEN DROP (GuiObject)
		ELSE SELECT GuiObject
			WHEN "HELPCONTENTS" THEN DisplayURL(GuiSignal)
		END
	END

	CATCH SYNTAX
			CONDITION('M')
			SIGNAL Again
	CATCH HALT
	FINALLY
		GuiDestroyWindow()
END
RETURN

FileExit:
	GuiSendMsg(, "POST CLOSE")
	RETURN

DisplayURL:
	IF EXISTS("HELPBOX") == 0 THEN
		CreateObject("HelpBox.rex", , , GuiWindow, ARG(1))
	ELSE
		HelpBox~SetURL(ARG(1))
	RETURN